org.apache.avro.avro_maven_plugin

## Class HelpMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.avro.avro_maven_plugin.HelpMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      public class HelpMojo
      extends org.apache.maven.plugin.AbstractMojo

  Display help information on avro-maven-plugin.
  Call `mvn avro:help -Ddetail=true -Dgoal=<goal-name>` to display parameter details.
  Author:
    maven-plugin-tools
  Is defined by the goal name:
    help
  Mojo is thread safe:
    true
  Requires a Maven project to run:
    false

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HelpMojo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HelpMojo

          public HelpMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.